Loading...
Searching...
No Matches
field_expr_v2_variational_grad< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::field_expr_v2_variational_grad< Expr >

Definition at line 63 of file field_expr_variational_terminal.h.

## Public Types

typedef geo_element::size_type | size_type
typedef Expr::memory_type | memory_type
typedef scalar_traits< typenameExpr::value_type >::type | scalar_type
typedef space_constant::rank_up< typenameExpr::value_type >::type | value_type
typedef float_traits< scalar_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef field_expr_v2_variational_grad< Expr > | self_type
typedef field_expr_v2_variational_grad< typename Expr::dual_self_type > | dual_self_type

## Public Member Functions

| field_expr_v2_variational_grad (const Expr &expr, const differentiate_option &gopt=differentiate_option())
| field_expr_v2_variational_grad (const field_expr_v2_variational_grad< Expr > &x)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

Expr | _expr
differentiate_option | _gopt

## Member Typedef Documentation

## size_type

template<class Expr >

typedef geo_element::size_type size_type

Definition at line 67 of file field_expr_variational_terminal.h.

## memory_type

template<class Expr >

typedef Expr::memory_type memory_type

Definition at line 68 of file field_expr_variational_terminal.h.

## scalar_type

template<class Expr >

typedef scalar_traits<typenameExpr::value_type>::type scalar_type

Definition at line 70 of file field_expr_variational_terminal.h.

## value_type

template<class Expr >

typedef space_constant::rank_up<typenameExpr::value_type>::type value_type

Definition at line 72 of file field_expr_variational_terminal.h.

## float_type

template<class Expr >

typedef float_traits<scalar_type>::type float_type

Definition at line 73 of file field_expr_variational_terminal.h.

## space_type

template<class Expr >

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 74 of file field_expr_variational_terminal.h.

## vf_tag_type

template<class Expr >

typedef Expr::vf_tag_type vf_tag_type

Definition at line 75 of file field_expr_variational_terminal.h.

## vf_dual_tag_type

template<class Expr >

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 77 of file field_expr_variational_terminal.h.

## self_type

template<class Expr >

typedef field_expr_v2_variational_grad<Expr> self_type

Definition at line 78 of file field_expr_variational_terminal.h.

## dual_self_type

template<class Expr >

typedef field_expr_v2_variational_grad<typename Expr::dual_self_type> dual_self_type

Definition at line 80 of file field_expr_variational_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_variational_grad() [1/2]

template<class Expr >

field_expr_v2_variational_grad | ( | const Expr & | expr,
|  | const differentiate_option & | gopt = `differentiate_option()`
| ) |  |

Definition at line 84 of file field_expr_variational_terminal.h.

## field_expr_v2_variational_grad() [2/2]

template<class Expr >

field_expr_v2_variational_grad | ( | const field_expr_v2_variational_grad< Expr > & | x | ) |

Definition at line 92 of file field_expr_variational_terminal.h.

## Member Function Documentation

## get_vf_space()

template<class Expr >

const space_type & get_vf_space | ( |  | ) | const

Definition at line 99 of file field_expr_variational_terminal.h.

## valued_tag()

template<class Expr >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 101 of file field_expr_variational_terminal.h.

## n_derivative()

template<class Expr >

size_type n_derivative | ( |  | ) | const

Definition at line 112 of file field_expr_variational_terminal.h.

## initialize() [1/2]

template<class Expr >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 116 of file field_expr_variational_terminal.h.

## initialize() [2/2]

template<class Expr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 122 of file field_expr_variational_terminal.h.

## evaluate()

template<class Expr >
template<class Result >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 131 of file field_expr_variational_terminal.h.

## evaluate_on_side()

template<class Expr >
template<class Result >

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 140 of file field_expr_variational_terminal.h.

## local_dg_merge_on_side()

template<class Expr >
template<class Value >

void local_dg_merge_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 150 of file field_expr_variational_terminal.h.

## valued_check()

template<class Expr >
template<class Result >

void valued_check | ( |  | ) | const

Definition at line 162 of file field_expr_variational_terminal.h.

## Member Data Documentation

## valued_hint

template<class Expr >

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 100 of file field_expr_variational_terminal.h.

## _expr

template<class Expr >

Expr _expr

protected

Definition at line 167 of file field_expr_variational_terminal.h.

## _gopt

template<class Expr >

differentiate_option _gopt

protected

Definition at line 168 of file field_expr_variational_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_variational_terminal.h